# cursor-Name

A cursor-Name refers to a cursor. No SQL language command exists to assign a name to a cursor. Instead, you use the JDBC API to assign names to cursors or to retrieve system-generated names. For more information, see the Derby Developer's Guide. If you assign a name to a cursor, you can refer to that name from within SQL statements.

You cannot qualify a cursor-Name.

#### Syntax

    SQL92Identifier

#### Example

    stmt.executeUpdate("UPDATE SAMP.STAFF SET COMM = " +
    "COMM + 20 " + "WHERE CURRENT OF " + ResultSet.getCursorName());

Parent topic: SQL identifiers